aboutsummaryrefslogtreecommitdiffstats
path: root/sysconfig/network-scripts/ifdown-post
diff options
context:
space:
mode:
Diffstat (limited to 'sysconfig/network-scripts/ifdown-post')
-rwxr-xr-xsysconfig/network-scripts/ifdown-post18
1 files changed, 18 insertions, 0 deletions
diff --git a/sysconfig/network-scripts/ifdown-post b/sysconfig/network-scripts/ifdown-post
new file mode 100755
index 00000000..cb7ce8c1
--- /dev/null
+++ b/sysconfig/network-scripts/ifdown-post
@@ -0,0 +1,18 @@
+#!/bin/sh
+# This should be called whenever an interface goes down, not just when
+# it is brought down explicitly.
+
+cd /etc/sysconfig/network-scripts
+
+. $1
+
+# Notify programs that have requested notification
+( cd /var/run/netreport || exit
+ for i in * ; do
+ [ -f $i ] && \
+ kill -SIGIO $i >/dev/null 2>&1 || \
+ rm -f $i >/dev/null 2>&1
+ done
+)
+
+exit 0